<app-breadcrumb-admin [single]="true" titlePage="Tareas"></app-breadcrumb-admin>

<h3 class="text-capitalize">
  <fa-icon [icon]="faTable"></fa-icon>&nbsp;
  Tareas
</h3>
<div class="row">
  <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
    <div class="card mb-3">
      <div class="card-header">
        <div class="row">
          <div class="col-12">
            <h3 class="float-start text-primary">
              <a [routerLink]="['/admin/tasks/create']" class="btn btn-outline-secondary">
                <fa-icon [icon]="faPlus"></fa-icon>&nbsp;
                <span class="text-capitalize">Agregar Tarea</span>
              </a>
            </h3>
          </div>
        </div>
      </div>
      <div class="card-body">
        <div class="table-responsive">
          <table id="dataTable" class="table table-bordered table-hover display" style="width:100%">
            <thead class="bg-primary  text-white">
            <tr>
              <th>Imagen</th>
              <th>Nombre</th>
              <th>Fecha de Creación</th>
              <th>Area</th>
              <th>Solicitado por</th>
              <th>Acciones</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let task of tasks |  paginate: { itemsPerPage: 5, currentPage: page }; let i=index">
              <td width="100px">
                <a [routerLink]="['/admin/tasks/edit', task._id]" title="Editar">
                  <img src="assets/images/missing.png" alt="Sin Imagen" class="img-fluid" *ngIf="!task.image">
                  <img [src]="task._id | image: 'tasks'" [alt]="task.image" class="img-fluid" *ngIf="task.image" (error)="replaceImage(image)"
                       #image>
                </a>
              </td>
              <td align="bottom" height="100">
                <a [routerLink]="['/admin/tasks/edit', task._id]" title="Editar">
                  <span *ngIf="serviceTranslation.getLang() == 'es'">
                    <span *ngIf="task.name.es">{{ task.name.es }}</span>
                    <span *ngIf="!task.name.es">Editar</span>
                  </span>
                      <span *ngIf="serviceTranslation.getLang() == 'en'">
                    <span *ngIf="task.name.en">{{ task.name.en }}</span>
                    <span *ngIf="!task.name.en">Editar</span>
                  </span>
                </a>
              </td>
              <td>{{ task.date | date }}</td>
              <td>
                <span *ngIf="serviceTranslation.getLang() == 'es'">{{ task.area.name.es }}</span>
                <span *ngIf="serviceTranslation.getLang() == 'en'">{{ task.area.name.en }}</span>
              </td>
              <td>{{ task.user.name }}</td>
              <td width="100px" class="text-center " >
                <fa-icon [icon]="faPowerOff" [ngClass]="{'text-success': task.active, 'text-danger': !task.active }"
                         class="ms-1 cursor"
                         title="Activo"
                         (click)="active(task._id, !task.active)" >
                </fa-icon>
                <fa-icon [icon]="faTrashAlt"
                         class="text-danger ms-1 cursor"
                         title="Eliminar"
                         (click)="delete(task._id)">
                </fa-icon>
              </td>
            </tr>
            </tbody>
          </table>
          <pagination-controls  (pageChange)="page = $event"
                                (pageBoundsCorrection)="page = $event"
                                [maxSize]=9
                                [directionLinks]=true
                                [autoHide]=true
                                [responsive]=true
                                previousLabel="Anterior"
                                nextLabel="Siguente"
                                screenReaderPaginationLabel="Pagination"
                                screenReaderPageLabel="page"
                                screenReaderCurrentLabel="You're on page">
          </pagination-controls>
        </div>
        <!-- end table-responsive-->
      </div>
      <!-- end card-body-->
    </div>
    <!-- end card-->
  </div>
</div>
